Subject: Re: [MORG] Support for PARTIAL return option when FUZZY+ESORT are advertised, but not CONTEXT=*

From: Alexey Melnikov <[email-masked]>
Date: Thu, 06 Jan 2011 20:09:29 +0000

Dave Cridland wrote:

> On Sun Dec 19 12:31:29 2010, Alexey Melnikov wrote:
>
>> Hi,
>> During discussion of the document with IESG the following question  
>> came up:
>>
>> Should the PARTIAL return option be support when the server  supports 
>> both FUZZY and ESORT extensions, but not CONTEXT=*?  Currently 
>> PARTIAL is defined as a part of  CONTEXT=SEARCH/CONTEXT=SORT. The 
>> argument for allowing PARTIAL with  fuzzy searches is that fuzzy 
>> searches can return many results, so  clients should be encouraged to 
>> use PARTIAL return option. However  it is much easier for servers to 
>> just implement PARTIAL without  implementing the rest of 
>> CONTEXT=SEARCH/CONTEXT=SORT.
>>
>> Thoughts?
>
> It's a chunk of syntax, I've no particular feelings on how best to  
> signal it's supported, so this would be fine by me.

After reading Barry's response and thinking more about this, I would 
like to keep things as they are.

If people have time and energy, we can revise various documents in the 
future to redefine capabilities advertised for various SEARCH related 
pieces. In the meantime I think what we have now is good enough.